Subject: Re: [PATCH net-next 03/12] selftests/vsock: reuse logic for vsock_test through wrapper functions

From: Simon Horman <[email-masked]>
Date: Wed, 29 Oct 2025 16:58:05 +0000

On Mon, Oct 27, 2025 at 12:08:48PM -0700, Bobby Eshleman wrote:
> On Mon, Oct 27, 2025 at 11:01:36AM -0700, Bobby Eshleman wrote:
> > On Mon, Oct 27, 2025 at 04:58:02PM +0000, Simon Horman wrote:
> > > On Wed, Oct 22, 2025 at 06:00:07PM -0700, Bobby Eshleman wrote:
> > > > From: Bobby Eshleman <[email-masked]>
> > > > 
> > > > Add wrapper functions vm_vsock_test() and host_vsock_test() to invoke
> > > > the vsock_test binary. This encapsulates several items of repeat logic,
> > > > such as waiting for the server to reach listening state and
> > > > enabling/disabling the bash option pipefail to avoid pipe-style logging
> > > > from hiding failures.
> > > > 
> > > > Signed-off-by: Bobby Eshleman <[email-masked]>
> > > 
> > > shellcheck has some (new) things to say about this patch too.
> > > Could you take a look over them?
> > > 
> > > ...
> > 
> 
> It looks like the errors are SC2317 and SC2119, but are false-positives.
> Invoking a program as a variable (e.g., "${VSOCK_TEST}") is tripping
> SC2317 (command unreachable), and SC2119 is due to log_{guest,host}()
> being passed zero arguments (logging its stdin instead).

Sorry about that, I thought I saw something meaningful in there.
I guess I was mistaken.

> 
> I also see that SC2317 has many other false positives elsewhere in the
> file (80+), reporting even lines like `rm "${QEMU_PIDFILE}"` as
> unreachable. I wonder if we should add a patch to this series to disable
> this check at the file-level?
> 
> Best,
> Bobby
>